﻿#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspvalidation
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            List<CountryList> countries = new List<CountryList>();
            countries.Add(new CountryList(11, "a", "Art", "flag-dz"));
            countries.Add(new CountryList(12, "a", "Architecture", "flag-am"));
            countries.Add(new CountryList(13, "a", "Biographies", "flag-bd"));
            countries.Add(new CountryList(14, "a", "Business", "flag-cu"));
            countries.Add(new CountryList(15, "b", "ComputerIT", "flag-dk"));
            countries.Add(new CountryList(16, "b", "Comics", "flag-eg"));
            countries.Add(new CountryList(17, "c", "Cookery", "flag-fi"));
            countries.Add(new CountryList(18, "c", "Environment", "flag-in"));
            countries.Add(new CountryList(19, "c", "Fiction", "flag-my"));
            countries.Add(new CountryList(20, "d", "Health", "flag-nz"));
            countries.Add(new CountryList(21, "d", "Humanities", "flag-no"));
            countries.Add(new CountryList(22, "d", "Language", "flag-pl"));
            countries.Add(new CountryList(23, "e", "Literature", "flag-ro"));
            countries.Add(new CountryList(24, "e", "Memoirs", "flag-sg"));
            countries.Add(new CountryList(25, "e", "Management", "flag-th"));
            countries.Add(new CountryList(26, "e", "Professional", "flag-ua"));
            countries.Add(new CountryList(26, "e", "Reference", "flag-ua"));
            countries.Add(new CountryList(26, "e", "Spirituality", "flag-ua"));
            countries.Add(new CountryList(26, "e", "Sports", "flag-ua"));
            countries.Add(new CountryList(26, "e", "Sciences", "flag-ua"));
            this.dropdown.DataSource = countries;
        }
        class CountryList
        {
            public int value { get; set; }
            public string parentId { get; set; }
            public string text { get; set; }
            public string sprite { get; set; }
            public CountryList(int cvalue, string cid, string ctext, string sprt)
            {
                this.value = cvalue;
                this.parentId = cid;
                this.text = ctext;
                this.sprite = sprt;
            }
        }
    }
}